Package org.apache.storm.redis.common.config

## Class JedisClusterConfig.Builder

- java.lang.Object
- - org.apache.storm.redis.common.config.JedisClusterConfig.Builder

- Enclosing class:
    JedisClusterConfig

      public static class JedisClusterConfig.Builder
      extends Object

  Builder for initializing JedisClusterConfig.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JedisClusterConfig` | `build()` | Builds JedisClusterConfig.
    `JedisClusterConfig.Builder` | `setMaxRedirections​(int maxRedirections)` | Sets limit of redirection.
    `JedisClusterConfig.Builder` | `setNodes​(Set<InetSocketAddress> nodes)` | Sets list of node.
    `JedisClusterConfig.Builder` | `setPassword​(String password)` | Sets password.
    `JedisClusterConfig.Builder` | `setTimeout​(int timeout)` | Sets socket / connection timeout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setNodes

          public JedisClusterConfig.Builder setNodes​(Set<InetSocketAddress> nodes)

      Sets list of node.
      Parameters:
        `nodes` - list of node
      Returns:
        Builder itself

    - #### setTimeout

          public JedisClusterConfig.Builder setTimeout​(int timeout)

      Sets socket / connection timeout.
      Parameters:
        `timeout` - socket / connection timeout
      Returns:
        Builder itself

    - #### setMaxRedirections

          public JedisClusterConfig.Builder setMaxRedirections​(int maxRedirections)

      Sets limit of redirection.
      Parameters:
        `maxRedirections` - limit of redirection
      Returns:
        Builder itself

    - #### setPassword

          public JedisClusterConfig.Builder setPassword​(String password)

      Sets password.
      Parameters:
        `password` - password, if any
      Returns:
        Builder itself

    - #### build

          public JedisClusterConfig build()

      Builds JedisClusterConfig.
      Returns:
        JedisClusterConfig